## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingParser

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingParser

All Implemented Interfaces:
  UrlMappingParser

    public class DefaultUrlMappingParser

extends Object
implements UrlMappingParser

A simple implementation of the UrlMappingParser interface. Most of the logical is encapsulated in the DefaultUrlMappingData class.

Since:
  0.5

  Created: Mar 5, 2007 Time: 8:35:26 AM
Author:
  Graeme Rocher
See Also:
  `DefaultUrlMappingData`

Constructor Summary
`DefaultUrlMappingParser()`

Method Summary
`UrlMappingData` `parse(String url)` Parses the given URI pattern into a UrlMappingData instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUrlMappingParser

    public DefaultUrlMappingParser()

Method Detail

### parse

    public UrlMappingData parse(String url)

  Description copied from interface: `UrlMappingParser`
  Parses the given URI pattern into a UrlMappingData instance

  Specified by:
    `parse` in interface `UrlMappingParser`
  Parameters:
    `url` - The URL pattern to parse
  Returns:
    The UrlMappingData instance

Copyright (c) 2005-2009 The Grails project